#!/bin/sh
/etc/init.d/vdr stop
if [ "$(grep "] ERROR" /etc/vdr/commands.conf)" = "" ] ; then
   sed -i /etc/vdr/commands.conf -e "s|^VDR Ausgaben|VDR Fehler anzeigen            : grep \-h \"] ERROR\" /log/everything/\* \| sort -r\nVDR Ausgaben|"
fi
if [ "$(grep ":RGB_SIGNAL:" /etc/vdr/plugins/admin/admin.conf)" = "" ] ; then
   sed -i /etc/vdr/plugins/admin/admin.conf \
       -e "s|^:Plugins|/etc/vdr/plugins/admin/setvdrconf.pl:RGB_SIGNAL:0:B:0:Nein,Ja:RGB Schaltsignal:\n:Plugins|"
   /etc/vdr/plugins/admin/setadmval.sh RGB_SIGNAL 1
fi
if [ "$(grep ":AV_SIGNAL:" /etc/vdr/plugins/admin/admin.conf)" = "" ] ; then
   sed -i /etc/vdr/plugins/admin/admin.conf \
       -e "s|^:Plugins|/etc/vdr/plugins/admin/setvdrconf.pl:AV_SIGNAL:0:B:0:Nein,Ja:AV Schaltsignal:\n:Plugins|"
   /etc/vdr/plugins/admin/setadmval.sh AV_SIGNAL 1
fi
sed -i /etc/vdr/plugins/admin/admin.conf -e "s/:720x576,1024x768:Aufloesung:/:640x480,720x576,800x600,1024x768,Other:Aufloesung:/"
source /etc/conf.d/vdr
if [ "$SCREEN_RESOLUTION" != "" ] ; then
   /etc/vdr/plugins/admin/setadmval.sh SCREEN_RESOLUTION "$SCREEN_RESOLUTION"
else
   /etc/vdr/plugins/admin/setadmval.sh SCREEN_RESOLUTION "720x576"
fi   
/etc/init.d/vdr start